Bug 1657176 - rm -rf during rebalance operation fails on few dirs with ENOTEMPTY
Summary: rm -rf during rebalance operation fails on few dirs with ENOTEMPTY
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Nithya Balachandran
QA Contact: Sayalee
URL:
Whiteboard:
Depends On:
Blocks: 1678183
TreeView+ depends on / blocked
 
Reported: 2018-12-07 11:03 UTC by Sayalee
Modified: 2019-12-02 03:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-20 10:18:51 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sayalee 2018-12-07 11:03:21 UTC
Description of problem:
When rebalance operation is in progress (in this case, due to remove brick operation), performing an rm -rf from mount point leaves few directories undeleted with 'ENOTEMPTY' error

Version-Release number of selected component (if applicable):
3.12.2-31

How reproducible:
1/1

Steps to Reproduce:
1. create a dist-rep (4x2) volume
2. run linux untar operation frm fuse mount
3. run remove-brick to remove 2x2 bricks from gluster server and rm -rf * from the mount
4. rm -rf on few directories failed with 'ENOTEMPTY'

[root@dhcp41-226 vol3]# cd dir2
[root@dhcp41-226 dir2]# rm -rf *
rm: cannot remove ‘linux-4.6.4/arch/arm’: Directory not empty
[root@dhcp41-226 dir2]# rm -rf *
rm: cannot remove ‘linux-4.6.4/arch’: Directory not empty
[root@dhcp41-226 dir2]# rm -rf *
rm: cannot remove ‘linux-4.6.4/arch/frv/include/asm’: Directory not empty
[root@dhcp41-226 dir2]# rm -rf *
rm: cannot remove ‘linux-4.6.4/arch’: Directory not empty
[root@dhcp41-226 dir2]# rm -rf *
rm: cannot remove ‘linux-4.6.4/arch/mips/include/asm’: Directory not empty

Actual results:
rm -rf failed with 'Directory not empty'

Expected results:
ENOTEMPTY error should not be seen

Additional info:
Sosreports will be provided


Note You need to log in before you can comment on or make changes to this bug.